
services:
  sync:
    image: dokku/wait
    links:
      - dird
    environment:
      - INTEGRATION_TEST_TIMEOUT
    command: "-c dird:9489 -t ${INTEGRATION_TEST_TIMEOUT:-5}"
  dird:
    image: xivoxc/xivo-dird-test
    ports:
      - "9489:9489"
    volumes:
      - "./etc/xivo-dird/config.yml:/etc/xivo-dird/config.yml"
      - "./etc/xivo-dird/sources.d:/etc/xivo-dird/sources.d"
      - "../../..:/usr/src/xivo-dird"
      - "./ssl:/usr/local/share/ssl/dird"
networks:
  default:
    ipam:
      driver: default
      config:
        - subnet: 172.16.94.80/28
